## gstreamer-dbus-media-service 0.1.7

=== Makefile ===
BINDIR = $(DESTDIR)/usr/bin
SERVICEDIR = $(DESTDIR)/usr/share/dbus-1/services
CONFIGDIR = $(DESTDIR)/usr/share/media-services

all:

install:
	install -m755 -D gst-media-service $(BINDIR)/gst-media-service
	install -m644 -D org.gnome.MobileMediaService.service $(SERVICEDIR)/org.gnome.MobileMediaService.service
	install -m644 -D gst.conf $(CONFIGDIR)/gst.conf
clean:
	rm -f *~

=== debian/changelog ===
gstreamer-dbus-media-service (0.1.7) gutsy; urgency=low

  [ Donald, Wei ]
  * Add GetVideoFrame service method
  * Changing service name to org.gnome.MobileMediaService
  * Releasing into Gutsy
  * Adding config file for media applications to discover this service
  * Fixed a bug in the service file

  [ Matthew Garrett ]
  * Initial upload to Ubuntu archive

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 09 Oct 2007 13:25:35 +0100

gstreamer-dbus-media-service (0.1.6) UNRELEASED; urgency=low

  [ Wei Donald <donald.wei@intel.com> ]
  * Add GetVideoFrame service method 
  * Fix bugs: capture missing-plugin event
  * change dbus parameter *
  * fix the bad format in Changelog
  * fix bug: the progress bar doesn't follow fast farword sometime
  * fix the duration bug for fast forward
  * add ErrorOccur signal
  * add fast forward/rewind feature
  * set gst engine to null (instead of stop) state first when load a media 
  * Fix Bugs: 43 
  * Fix Bugs: 3, 4, 5, 16, 17, 22

  [ Cathy Shen <cathy.shen@intel.com> ]
  * change GetGstPlugin() to GetPluginCaps() API *
  * add engine management and change Load() to OpenUri() *
	
 -- Donald, Wei <donald.wei@intel.com>  Mon, 24 Sep 2007 13:37:34 +0800

gstreamer-dbus-media-service (0.1.5) gutsy; urgency=low

  * Add missing dh_installdocs and dh_compress.
  * Add ${python:Depends} to Depends line.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 23 Jul 2007 11:26:10 +0200

gstreamer-dbus-media-service (0.1.4) gutsy; urgency=low

  * Make the package Arch: all, not Arch: any.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 20 Jul 2007 12:02:51 +0200

gstreamer-dbus-media-service (0.1.3) gutsy; urgency=low

  * Remove unused configure target from rules file.
  * Remove executable bits from files not needing it.
  * Update description a bit.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 20 Jul 2007 10:25:00 +0200

gstreamer-dbus-media-service (0.1.2) unstable; urgency=low

  * add install file

 -- Xu Bo <bo.b.xu@intel.com>  Thu, 05 Jul 2007 13:09:15 -0700

gstreamer-dbus-media-service (0.1.1) unstable; urgency=low

  * Initial release

 -- Halley Zhao <halley.zhao@intel.com>  Tues, 27 June 2007 10:09:15 -0700

=== debian/control ===
Source: gstreamer-dbus-media-service
Section: graphics
Priority: optional
Maintainer: Halley Zhao <halley.zhao@intel.com>
Build-Depends: debhelper (>= 5), python-support (>= 0.3)
Standards-Version: 0.1.2 

Package: gstreamer-dbus-media-service
Architecture: all
Depends: ${python:Depends}, python-gst0.10
Description: Media service for Ubuntu Mobile
 This is the Dbus backend used by the Ubuntu Mobile media player.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/gstreamer-dbus-media-service install


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_pysupport
	dh_gencontrol
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gstreamer-dbus-media-service 0.1.17

=== Makefile ===
BINDIR = $(DESTDIR)/usr/bin
SERVICEDIR = $(DESTDIR)/usr/share/dbus-1/services
CONFIGDIR = $(DESTDIR)/usr/share/media-services

all:

install:
	install -m755 -D gst-media-service $(BINDIR)/gst-media-service
	install -m644 -D org.moblin.MobileMediaService.service $(SERVICEDIR)/org.gnome.MobileMediaService.service
	install -m644 -D gst.conf $(CONFIGDIR)/gst.conf
clean:
	rm -f *~
